import { DataState,FieldInfo } from 'model-util-base'
/**
 * @author auto generate
 * @version 1.0
 * @date 2020-12-07 15:47
 */
export interface BusParkingLot{
    /**
    * 
    * @type { string }
    */
    lotId?: string;
    /**
    * 
    * @type { string }
    */
    groupId?: string;
    /**
    * 
    * @type { string }
    */
    lotCode?: string;
    /**
    * 
    * @type { string }
    */
    lotName?: string;
    /**
    * 
    * @type { string }
    */
    logoUrl?: string;
    /**
    * 
    * @type { number }
    */
    totalSpace?: number;
    /**
    * 
    * @type { string }
    */
    funcFlag?: string;
    /**
    * 
    * @type { string }
    */
    keyword?: string;
    /**
    * 
    * @type { string }
    */
    description?: string;
    /**
    * 交易手续费,百分比
    * @type { number }
    */
    tradeFee?: number;
    /**
    * 
    * @type { string }
    */
    contact?: string;
    /**
    * 
    * @type { string }
    */
    contactInfo?: string;
    /**
    * 
    * @type { string }
    */
    provId?: string;
    /**
    * 
    * @type { string }
    */
    cityId?: string;
    /**
    * 
    * @type { string }
    */
    districtId?: string;
    /**
    * 
    * @type { string }
    */
    lotNatureCode?: string;
    /**
    * 
    * @type { string }
    */
    address?: string;
    /**
    * 
    * @type { string }
    */
    useMap?: string;
    /**
    * 
    * @type { string }
    */
    longitude?: string;
    /**
    * 
    * @type { string }
    */
    latitude?: string;
    /**
    * 
    * @type { string }
    */
    useSuperpark?: string;
    /**
    * 
    * @type { string }
    */
    useKeytop?: string;
    /**
    * 
    * @type { string }
    */
    useSubMer?: string;
    /**
    * 
    * @type { string }
    */
    superparkSubAcct?: string;
    /**
    * 
    * @type { string }
    */
    keytopSubAcct?: string;
    /**
    * 备注
    * @type { string }
    */
    remark?: string;
    /**
    * 操作人
    * @type { string }
    */
    operator?: string;
    /**
    * 创建时间
    * @type { Date }
    */
    createTime?: Date;
    /**
    * 更新时间
    * @type { Date }
    */
    updateTime?: Date;
    /**
    * 
    * @type { string }
    */
    superparkSubAppid?: string;
    /**
    * 
    * @type { boolean }
    */
    enableNews?: boolean;
    /**
    * 
    * @type { string }
    */
    newsTemplate?: string;
    /**
    * 
    * @type { string }
    */
    keytopSubAppid?: string;
    /**
    * 
    * @type { string }
    */
    payUrl?: string;
    /**
    * 
    * @type { string }
    */
    payQrCodeUrl?: string;
    /**
    * 共用二维码地址
    * @type { string }
    */
    shareQrCodeUrl?: string;
    /**
    * 
    * @type { boolean }
    */
    enableCallback?: boolean;
    /**
    * 
    * @type { string }
    */
    payCallbackUrl?: string;
    /**
    * 禁止速停车查询
    * @type { boolean }
    */
    disableStcQuery?: boolean;
    /**
    * 禁止API查询
    * @type { boolean }
    */
    disableApiQuery?: boolean;
    /**
    * 是否支持缴费
    * @type { boolean }
    */
    enablePayment?: boolean;
    /**
    * 
    * @type { boolean }
    */
    enableRefund?: boolean;
    /**
    * 是否启用后付费
    * @type { boolean }
    */
    enablePostPaid?: boolean;
    /**
    * 是否启用入场消息推送
    * @type { boolean }
    */
    enableComeMsgPush?: boolean;
    /**
    * 是否启用车位消息推送
    * @type { boolean }
    */
    enableLocationMsgPush?: boolean;
    /**
    * 是否开启自定义按钮
    * @type { boolean }
    */
    enableCustomBtn?: boolean;
    /**
    * 是否开启锁车功能
    * @type { boolean }
    */
    enableLockCar?: boolean;
    /**
    * TCP 0/MQ 1
    * @type { string }
    */
    lotSyncChannel?: string;
    /**
    * 是否支持热门车场
    * @type { string }
    */
    isHot?: string;
    /**
    * 车场本地ID
    * @type { string }
    */
    clientId?: string;
    /**
    * 
    * @type { string }
    */
    closeTip?: string;
    /**
    * 
    * @type { string }
    */
    ordQueryBtmHtml?: string;
    /**
    * 在订单支付成功页面显示的自定义HTML
    * @type { string }
    */
    ordSuccessHtml?: string;
    /**
    * 
    * @type { boolean }
    */
    isFarewellWord?: boolean;
}
export class BusParkingLotMI{ 
    static get LOT_ID(): FieldInfo{  
        return new FieldInfo('lotId','');
    }
    static get GROUP_ID(): FieldInfo{  
        return new FieldInfo('groupId','');
    }
    static get LOT_CODE(): FieldInfo{  
        return new FieldInfo('lotCode','');
    }
    static get LOT_NAME(): FieldInfo{  
        return new FieldInfo('lotName','');
    }
    static get LOGO_URL(): FieldInfo{  
        return new FieldInfo('logoUrl','');
    }
    static get TOTAL_SPACE(): FieldInfo{  
        return new FieldInfo('totalSpace','');
    }
    static get FUNC_FLAG(): FieldInfo{  
        return new FieldInfo('funcFlag','');
    }
    static get KEYWORD(): FieldInfo{  
        return new FieldInfo('keyword','');
    }
    static get DESCRIPTION(): FieldInfo{  
        return new FieldInfo('description','');
    }
    static get TRADE_FEE(): FieldInfo{  
        return new FieldInfo('tradeFee','交易手续费,百分比');
    }
    static get CONTACT(): FieldInfo{  
        return new FieldInfo('contact','');
    }
    static get CONTACT_INFO(): FieldInfo{  
        return new FieldInfo('contactInfo','');
    }
    static get PROV_ID(): FieldInfo{  
        return new FieldInfo('provId','');
    }
    static get CITY_ID(): FieldInfo{  
        return new FieldInfo('cityId','');
    }
    static get DISTRICT_ID(): FieldInfo{  
        return new FieldInfo('districtId','');
    }
    static get LOT_NATURE_CODE(): FieldInfo{  
        return new FieldInfo('lotNatureCode','');
    }
    static get ADDRESS(): FieldInfo{  
        return new FieldInfo('address','');
    }
    static get USE_MAP(): FieldInfo{  
        return new FieldInfo('useMap','');
    }
    static get LONGITUDE(): FieldInfo{  
        return new FieldInfo('longitude','');
    }
    static get LATITUDE(): FieldInfo{  
        return new FieldInfo('latitude','');
    }
    static get USE_SUPERPARK(): FieldInfo{  
        return new FieldInfo('useSuperpark','');
    }
    static get USE_KEYTOP(): FieldInfo{  
        return new FieldInfo('useKeytop','');
    }
    static get USE_SUB_MER(): FieldInfo{  
        return new FieldInfo('useSubMer','');
    }
    static get SUPERPARK_SUB_ACCT(): FieldInfo{  
        return new FieldInfo('superparkSubAcct','');
    }
    static get KEYTOP_SUB_ACCT(): FieldInfo{  
        return new FieldInfo('keytopSubAcct','');
    }
    static get REMARK(): FieldInfo{  
        return new FieldInfo('remark','备注');
    }
    static get OPERATOR(): FieldInfo{  
        return new FieldInfo('operator','操作人');
    }
    static get CREATE_TIME(): FieldInfo{  
        return new FieldInfo('createTime','创建时间');
    }
    static get UPDATE_TIME(): FieldInfo{  
        return new FieldInfo('updateTime','更新时间');
    }
    static get SUPERPARK_SUB_APPID(): FieldInfo{  
        return new FieldInfo('superparkSubAppid','');
    }
    static get ENABLE_NEWS(): FieldInfo{  
        return new FieldInfo('enableNews','');
    }
    static get NEWS_TEMPLATE(): FieldInfo{  
        return new FieldInfo('newsTemplate','');
    }
    static get KEYTOP_SUB_APPID(): FieldInfo{  
        return new FieldInfo('keytopSubAppid','');
    }
    static get PAY_URL(): FieldInfo{  
        return new FieldInfo('payUrl','');
    }
    static get PAY_QR_CODE_URL(): FieldInfo{  
        return new FieldInfo('payQrCodeUrl','');
    }
    static get SHARE_QR_CODE_URL(): FieldInfo{  
        return new FieldInfo('shareQrCodeUrl','共用二维码地址');
    }
    static get ENABLE_CALLBACK(): FieldInfo{  
        return new FieldInfo('enableCallback','');
    }
    static get PAY_CALLBACK_URL(): FieldInfo{  
        return new FieldInfo('payCallbackUrl','');
    }
    static get DISABLE_STC_QUERY(): FieldInfo{  
        return new FieldInfo('disableStcQuery','禁止速停车查询');
    }
    static get DISABLE_API_QUERY(): FieldInfo{  
        return new FieldInfo('disableApiQuery','禁止API查询');
    }
    static get ENABLE_PAYMENT(): FieldInfo{  
        return new FieldInfo('enablePayment','是否支持缴费');
    }
    static get ENABLE_REFUND(): FieldInfo{  
        return new FieldInfo('enableRefund','');
    }
    static get ENABLE_POST_PAID(): FieldInfo{  
        return new FieldInfo('enablePostPaid','是否启用后付费');
    }
    static get ENABLE_COME_MSG_PUSH(): FieldInfo{  
        return new FieldInfo('enableComeMsgPush','是否启用入场消息推送');
    }
    static get ENABLE_LOCATION_MSG_PUSH(): FieldInfo{  
        return new FieldInfo('enableLocationMsgPush','是否启用车位消息推送');
    }
    static get ENABLE_CUSTOM_BTN(): FieldInfo{  
        return new FieldInfo('enableCustomBtn','是否开启自定义按钮');
    }
    static get ENABLE_LOCK_CAR(): FieldInfo{  
        return new FieldInfo('enableLockCar','是否开启锁车功能');
    }
    static get LOT_SYNC_CHANNEL(): FieldInfo{  
        return new FieldInfo('lotSyncChannel','TCP 0/MQ 1');
    }
    static get IS_HOT(): FieldInfo{  
        return new FieldInfo('isHot','是否支持热门车场');
    }
    static get CLIENT_ID(): FieldInfo{  
        return new FieldInfo('clientId','车场本地ID');
    }
    static get CLOSE_TIP(): FieldInfo{  
        return new FieldInfo('closeTip','');
    }
    static get ORD_QUERY_BTM_HTML(): FieldInfo{  
        return new FieldInfo('ordQueryBtmHtml','');
    }
    static get ORD_SUCCESS_HTML(): FieldInfo{  
        return new FieldInfo('ordSuccessHtml','在订单支付成功页面显示的自定义HTML');
    }
    static get IS_FAREWELL_WORD(): FieldInfo{  
        return new FieldInfo('isFarewellWord','');
    }
}


/**
 * @author auto generate
 * @version 1.0
 * @date 2020-12-07 15:47
 */
export interface BusUserCar{
    /**
    * 唯一标识
    * @type { string }
    */
    id?: string;
    /**
    * 
    * @type { string }
    */
    userId?: string;
    /**
    * 
    * @type { string }
    */
    carPlateNum?: string;
    /**
    * 车牌类型，01：蓝牌，02：黄牌，03：新能源
    * @type { string }
    */
    type?: string;
    /**
    * 创建时间
    * @type { Date }
    */
    createTime?: Date;
    /**
    * 更新时间
    * @type { Date }
    */
    updateTime?: Date;
}
export class BusUserCarMI{ 
    static get ID(): FieldInfo{  
        return new FieldInfo('id','唯一标识');
    }
    static get USER_ID(): FieldInfo{  
        return new FieldInfo('userId','');
    }
    static get CAR_PLATE_NUM(): FieldInfo{  
        return new FieldInfo('carPlateNum','');
    }
    static get TYPE(): FieldInfo{  
        return new FieldInfo('type','车牌类型，01：蓝牌，02：黄牌，03：新能源');
    }
    static get CREATE_TIME(): FieldInfo{  
        return new FieldInfo('createTime','创建时间');
    }
    static get UPDATE_TIME(): FieldInfo{  
        return new FieldInfo('updateTime','更新时间');
    }
}


/**
 * @author auto generate
 * @version 1.0
 * @date 2020-12-07 15:47
 */
export interface BusParkingLotAttr{
    /**
    * 唯一标识
    * @type { number }
    */
    id?: number;
    /**
    * 车场ID
    * @type { string }
    */
    lotId?: string;
    /**
    * 
    * @type { string }
    */
    attrName?: string;
    /**
    * 
    * @type { string }
    */
    attrValue?: string;
    /**
    * 创建时间
    * @type { Date }
    */
    createTime?: Date;
    /**
    * 更新时间
    * @type { Date }
    */
    updateTime?: Date;
}
export class BusParkingLotAttrMI{ 
    static get ID(): FieldInfo{  
        return new FieldInfo('id','唯一标识');
    }
    static get LOT_ID(): FieldInfo{  
        return new FieldInfo('lotId','车场ID');
    }
    static get ATTR_NAME(): FieldInfo{  
        return new FieldInfo('attrName','');
    }
    static get ATTR_VALUE(): FieldInfo{  
        return new FieldInfo('attrValue','');
    }
    static get CREATE_TIME(): FieldInfo{  
        return new FieldInfo('createTime','创建时间');
    }
    static get UPDATE_TIME(): FieldInfo{  
        return new FieldInfo('updateTime','更新时间');
    }
}


/**
 * @author auto generate
 * @version 1.0
 * @date 2020-12-07 15:47
 */
export interface BusParkingLotAttrQuickfunc{
    /**
    * 
    * @type { string }
    */
    id?: string;
    /**
    * 
    * @type { number }
    */
    ord?: number;
    /**
    * 
    * @type { string }
    */
    icon?: string;
    /**
    * 
    * @type { string }
    */
    title?: string;
    /**
    * 
    * @type { string }
    */
    url?: string;
}
export class BusParkingLotAttrQuickfuncMI{ 
    static get ID(): FieldInfo{  
        return new FieldInfo('id','');
    }
    static get ORD(): FieldInfo{  
        return new FieldInfo('ord','');
    }
    static get ICON(): FieldInfo{  
        return new FieldInfo('icon','');
    }
    static get TITLE(): FieldInfo{  
        return new FieldInfo('title','');
    }
    static get URL(): FieldInfo{  
        return new FieldInfo('url','');
    }
}


